html,
body {
    height: 100%;
    /*background-color: #F1F2B5;#5FC3E4;*/
}

.wrap {
    min-height: 100%;
    height: auto;
    margin: 0 auto -60px;
    padding: 0 0 60px;
    width: auto;
}

.middle-content {
    margin: 10px 10px 0px -180px;
    padding-top: 70px 10px 20px 300px;
    width: 1500px;
}

.wrap > .container {
    padding: 70px 15px 20px;
    position: relative;
    /*padding: 70px 250px 20px;  for using header slide menu*/
}

.footer {
    height: 60px;
    background-color: #232526;
    border-top: 1px solid #ddd;
    padding-top: 20px;
}

.jumbotron {
    text-align: center;
    background-color: transparent;
}

.jumbotron .btn {
    font-size: 21px;
    padding: 14px 24px;
}

.not-set {
    color: #c55;
    font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    /*position: relative;*/
    top: 1px;
    display: inline-block;
    font-family: Arial, Helvetica, sans-serif, Glyphicons Halflings;
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    padding-left: 5px;
}

a.asc:after {
    content: /*"\e113"*/ "\e151";
}

a.desc:after {
    content: /*"\e114"*/ "\e152";
}

.sort-numerical a.asc:after {
    content: "\e153";
}

.sort-numerical a.desc:after {
    content: "\e154";
}

.sort-ordinal a.asc:after {
    content: "\e155";
}

.sort-ordinal a.desc:after {
    content: "\e156";
}

.grid-view th {
    white-space: nowrap;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

/* start here until ends is customized */
.wrap {
    min-height: 100%;
    height: auto;
    margin: 0 auto auto;
    padding: 0 0 60px;
    width: auto;
}


body {
    font-family: Arial, Helvetica, sans-serif;
    background-color: #E8E8E8;
}
.glyphicon {
    font-family: Arial, Helvetica, sans-serif, Glyphicons Halflings;
}
.footer {
    height: 35px;
    background-color: #232526;
    border-top: 1px solid #ddd;
    padding-top: 10px;
}

.wrap > .container-left {
    display: none;
    position: fixed;
    top: 50px;  /* 105px */
    width: 100%;
    margin-bottom: 0px;
    padding: 20px 0px 20px 35px;
    background-color: #616161;
    /*
        background: -webkit-linear-gradient(90deg, #616161 10%, #9a8478 90%);
        background:    -moz-linear-gradient(90deg, #616161 10%, #9a8478 90%);
        background:     -ms-linear-gradient(90deg, #616161 10%, #9a8478 90%);
        background:      -o-linear-gradient(90deg, #616161 10%, #9a8478 90%);
        background:         linear-gradient(90deg, #616161 10%, #9a8478 90%);  */

    /*border-radius: 10px;*/
    height: 100%;
    opacity: 0.98;
}

.wrap > .container-left menu {
    position: fixed;
}

/* login form  */
.button{
    width:100px;
    background:#3399cc;
    display:block;
    margin:0 auto;
    margin-top:1%;
    padding:10px;
    text-align:center;
    text-decoration:none;
    color:#fff;
    cursor:pointer;
    transition:background .3s;
    -webkit-transition:background .3s;
}

#button-toggle:hover{
    background:#2288bb;
}

#login{
    width: 320px;
    /*display: block;*/
    margin-left: auto;
    margin-right: auto;
    /*  margin:0 auto;*/
    margin-top:8px;
    margin-bottom:2%;
    transition:opacity 1s;
    -webkit-transition:opacity 1s;

    margin: 0;
    position: absolute;
    top: 300%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%)
}

#triangle{
    width:0;
    border-top:12x solid transparent;
    border-right:12px solid transparent;
    border-bottom:12px solid #3399cc;
    border-left:12px solid transparent;
    margin:0 auto;
}

/*trial class #h1*/
/*#h1{
  font-family: Arial, Helvetica, sans-serif;
  background:#000;
  padding:20px 0;
  font-size:50px;
  width: auto;
  font-weight:300;
  text-align:center;
  color:#fff;
  padding-right: 75px;
}*/
#h1 {
    font-family: Arial, Helvetica, sans-serif;
    background: white;
    padding: 20px 0;
    font-size: 50px;
    width: auto;
    font-weight: 300;
    text-align: center;
    color: #fff;
    padding-right: 75px;
    margin-bottom: 10px;
    width: 320px;
    height: 110px;
}



#form{
    /*background:#f0f0f0; trial*/
    background:white;
    padding:6% 4%;
}

input[type="email"],input[type="password"],input[type="text"]{
    width:92%;
    background:#fff;
    margin-bottom:4%;
    border:1px solid #ccc;
    padding:auto;
    font-family: Arial, Helvetica, sans-serif;
    font-size:95%;
    color:#555;
}

#button{
    width:100%;
    background:#3399cc;
    border:0;
    padding:4%;
    font-family: Arial, Helvetica, sans-serif;
    font-size:100%;
    color:#fff;
    cursor:pointer;
    transition:background .3s;
    -webkit-transition:background .3s;
}

input[type="submit"]:hover{
    background:#2288bb;
}

#subhid {
    display: none;
}

/*  new style of nav menu   */
subhid {
    display: none;
}

nav ul {
    list-style-type:none;
    margin-top:5px;
    margin-bottom: 5px;
    padding:0;
}

nav ul li {
    display:block;
    position: static;
    margin-top:-10px;
    margin-bottom: -10px;
    /*font-size:14px;*/
}

/* hide sub menu links */
ul.sub-menu {
    display:none;
    background-color: #56D4F3;/*#56B4D3;*/
}

/* show arrows for dropdowns */
nav li.dropdown > a {
    background-position:right 20px;
    background-repeat:no-repeat;
}

nav li li.dropdown > a {
    background-position:right 16px;
    background-repeat:no-repeat;
}

.dropdown_4columns{
    display: none;
    margin:35px auto;
    float:left;
    position:absolute;
    left:-999em; /* Hides the drop down */
    text-align:left;
    padding:10px 5px auto 5px;
    /* Gradient background */
    /*	background:#56B4D3;
        background: -moz-linear-gradient(top, #EEEEEE, #BBBBBB);
        background: -webkit-gradient(linear, 0% 0%, 0% 100%, from(#EEEEEE), to(#BBBBBB));*/
    background-color: white;
    /* Rounded Corners */
    -moz-border-radius: 0px 5px 5px 5px;
    -webkit-border-radius: 0px 5px 5px 5px;
    border-radius: 5px 5px 5px 5px;
    height: 92%;
    overflow-y: scroll;
}

.dropdown_1column {width: 140px;}
.dropdown_2columns {width: 280px;}
.dropdown_3columns {width: 420px;}
.dropdown_4columns {width: 80%; position: fixed;}
.dropdown_5columns {width: 700px;}

nav .dropdown.hover .dropdown_4columns {
    display: block;
    /*left:180px;*/
    left:240px;/*240 used for clicking menu, if want to use hove mouse menu set this one become 239*/
    top:15px;
    overflow-y: scroll;
    /*position: absolute;*/
}

.col_1,
.col_2,
.col_3,
.col_4,
.col_5 {
    display:inline;
    float: left;
    position: relative;
    margin-left: 25px;
    margin-right: 1px;
    min-height: 250px;
    /*border-bottom:none;*/
}
.col_1 {width:280px;}
.col_2 {width:270px;}
.col_3 {width:410px;}
.col_4 {width:550px;}
.col_5 {width:690px;}

nav h2, .col_1 > ul li{
    font-family: Arial, Helvetica, sans-serif;
    line-height:16px;
    font-size:16px;
    text-align:left;
    /*text-shadow: 1px 1px 1px #FFFFFF;*/
}
/*expanded right panel menu items*/
nav h2, .col_1 > ul li a {
    font-size:16px;
    font-weight: 250;
}
/*expanded right panel menu items*/
nav h2 {
    font-size:18px;
    font-weight:400;
    letter-spacing:-1px;
    margin:7px 0 14px 0;
    padding-bottom:14px;
    border-bottom:1px solid #666666;
}

.col_1 h3{
    display: block;
    font-size:20px;
    margin:7px 0 7px 0;
    padding-top:8px;
    padding-bottom:7px;
    border-bottom:1px solid #888888;
    background: #484848;
    color: white;
}

/*
expanded right panel menu items
*/
nav li:hover div a {
    font-size:20px;
    color:#484848;
}

nav li:hover div a:hover {
    color: #484848;
}

.breadcrumbs_color {
    background-color: #F0F0F0;
}

.middle_pager{
    /*padding-left: 30%;*/
    display: flex;
    justify-content: center;
    /*position: absolute;*/
}
.desc_pager{
    margin-top:-16px;
    color: #777;

}

.grid-view th{
    background-color: #96DEDA;
    border: none;
    /*border-radius: 0 0 5px 5px;*/
}

.grid-view tr{
    background-color: #EAF2D3;

}

div.form-background{
    /*display: none;*/
    position: fixed;

    width: 83.3%;
    margin-bottom: 0px;
    padding: 20px 0px 20px 30px;
    background-color: #96DEDA; /*#56B4D3;#56B4D3;*/
    border-radius: 10px;
    /*height: 100%;*/
}

div.form-background-search{
    height:auto;
    /*padding: 20px 0px 20px 30px;*/
    background-color: #96DEDA; /*#56B4D3;#56B4D3;*/
    /*border-radius: 10px;*/
    /*height: 100%;*/
}

.input-group .select2-container--krajee{
    z-index: 0;
}

.input-group .form-control{
    z-index: 0;
}

.pagination > .active > a, .pagination > .active > span, .pagination > .active > a:hover, .pagination > .active > span:hover, .pagination > .active > a:focus, .pagination > .active > span:focus{
    z-index: 0;
}

.bluezed-scroll-top-circle {

    background-color: inherit;
    background-color: #96DEDA;
}

.btn-group{
    z-index: 20;
}

.search {
    display: none;
}

/*   style for report  */

#customers {
    font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
    width: 100%;
    border-collapse: collapse;
}

#customers td, #customers th {
    font-size: 1em;
    border: 1px solid #98bf21;
    padding: 3px 7px 2px 7px;
}

#customers th {
    font-size: 1.1em;
    text-align: left;
    padding-top: 5px;
    padding-bottom: 4px;
    background-color: #A7C942;
    color: #ffffff;
}

#customers tr.alt td {
    color: #000000;
    background-color: #EAF2D3;
}

.footer-color{
    text-align: right;
    color: #ffffff;
    font-size: 12px;
}

.navbar-font-18{
    font-size:18px;
}

.navbar-font-14{
    font-size:14px;
}

.dropdown-menu{
    font-size:14px;
}

/* top menu */
.navbar-font-24{
    font-size:24px;
}
/* top menu */

/* active selection row in table */
.active-table tbody tr:hover td {
    background: #56D4F3;
}
/*.table tbody tr:hover td {
	background: #56D4F3;
}*/

/* hidden input field or etc  */
.text-field-hide{
    display: none;
}

/* color for main label in form dbplu etc*/
.boundary-color{
    color: #56B4D3;
}

div.form-background-disabled{
    height:auto;
    /*padding: 20px 0px 20px 30px;*/
    background-color: #BBBBBB; /*#56B4D3;#56B4D3;*/
    /*border-radius: 10px;*/
    /*height: 100%;*/
}
/* background login*/
.background-login{

    background: -webkit-linear-gradient(60deg, #525252 10%, #3d72b4 100%);
    background:    -moz-linear-gradient(60deg, #525252 10%, #3d72b4 100%);
    background:     -ms-linear-gradient(60deg, #525252 10%, #3d72b4 100%);
    background:      -o-linear-gradient(60deg, #525252 10%, #3d72b4 100%);
    background:         linear-gradient(60deg, #525252 10%, #3d72b4 100%);

}

.container-table {
    width:50%;
    display: table;
    vertical-align: middle;
    text-align: center;
    margin:0px;
    padding: 10px;
}

/* Report */
.row-hide {
    display:none;
}

/* Home Page */
.fc-toolbar .fc-state-active, .fc-toolbar .ui-state-active {
    z-index: 0;
}

.fc-view, .fc-view > table {
    z-index: 0;
}

/* Dept, Main Group, Sub Group, flexpayment, etc */

.div-hide {
    display:none;
}

/* container-center for home page  */
.container-center {
    margin: auto;
    width: 70%;
    padding: 10px;
}

/* Image Menu  */

.img-border {
    margin-top:10px;
    padding: 20px;
    width: 200px;
    height: 250px;
    outline: 2px solid #ccc;
    outline-offset: -10px;
    -moz-outline-radius: 10px;
    -webkit-outline-radius: 10px;

}

.img-size {
    height: 80%;
    width :100%;
}

.right-corner {
    position: absolute;
    margin: 0;
    top: 0px;
    right: 0px;
}

/* basic positioning */
.legend { list-style: none; }
.legend li { float: left; margin-right: 10px; }
.legend span { border: 1px solid #ccc; float: left; width: 12px; height: 12px; margin: 2px; }
/* your colors */
.legend .qty_sold { background-color: #8E0E00; }
.legend .gross_sales { background-color: #76b852; }
.legend .customer { background-color: #2c3e50; }


.aspExport{
    position:fixed;
    padding:0;
    margin:0;
    display: none;
    top:0;
    left:0;

    width: 100%;
    height: 100%;
    background: rgba(153, 153, 153, 0.6);
    z-index: 9999;
}

.widget-spinner{
    display: none;
}

.content-ms {
    position:fixed;
    top: 50%;
    left: 50%;
    width:30em;
    height:18em;
    margin-top: -9em;
    margin-left: -15em;
}

/*sliding and new menu style for dmc*/


.panel-primary {
    border-color: #020202;
}

.grid-view th {
    background-color: #B0B0B0;
}

th a {
    color: #333;
}

@font-face {
    font-family: Arial, Helvetica, sans-serif;;
    /*src: url(/font/Montserrat-Regular.ttf);*/
}

body
{
    font-family: Arial, Helvetica, sans-serif;;
    overflow-x: hidden;
}

.bar-side
{
    background: #232526;
    width: 30px;
    padding: 0 24px;
    position: fixed;
    top: 0;
    bottom: 0;
    z-index: 40;
    white-space: nowrap;
    text-align: center;
    font-size: 10px;
    text-transform: uppercase;
    color: #1ABC9C;
    font-weight: 400;
}

.bar-side > div
{
    display: inline-block;
    position: absolute;
    top: 50%;
    left: 24px;
    width: 300px;
    height: 12px;
    line-height: 12px;
    margin-top: 150px;
    text-align: center;
    -moz-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    -webkit-transform: rotate(-90deg);
    transform: rotate(-90deg);
    -moz-transform-origin: 0 0;
    -ms-transform-origin: 0 0;
    -webkit-transform-origin: 0 0;
    transform-origin: 0 0;
}

.bar-top
{
    background: #232526;
    height: 50px;
    position: fixed;
    top: 0;
    bottom: 0;
    z-index: 50;
    white-space: nowrap;
    text-transform: uppercase;
    color: #1ABC9C;
    width: 100%;
}

.bar-bottom
{
    background: #232526;
    height: 25px;
    position: fixed;
    bottom: 0;
    z-index: 50;
    white-space: nowrap;
    text-transform: uppercase;
    color: #909090;
    font-weight: 400;
    width: 100%;
}

.c-hamburger
{
    display: block;
    position: relative;
    overflow: hidden;
    margin: 0;
    padding: 0;
    width: 40px;
    height: 30px;
    font-size: 0;
    text-indent: -9999px;
    appearance: none;
    box-shadow: none;
    border-radius: none;
    border: none;
    cursor: pointer;
    transition: background 0.3s;
}

.c-hamburger:focus
{
    outline: none;
}

.c-hamburger span
{
    display: block;
    position: absolute;
    top: 11px;
    left: 6px;
    right: 6px;
    height: 4px;
    background: white;
}

.c-hamburger span::before,
.c-hamburger span::after
{
    position: absolute;
    display: block;
    left: 0;
    width: 100%;
    height: 4px;
    background-color: white;
    content: "";
}

.c-hamburger span::before
{
    top: -10px;
}

.c-hamburger span::after
{
    bottom: -10px;
}

.c-hamburger--htx {
    background-color: #232526;
}

.c-hamburger--htx span {
    transition: background 0s 0.3s;
}

.c-hamburger--htx span::before,
.c-hamburger--htx span::after {
    transition-duration: 0.3s, 0.3s;
    transition-delay: 0.3s, 0s;
}

.c-hamburger--htx span::before {
    transition-property: top, transform;
}

.c-hamburger--htx span::after {
    transition-property: bottom, transform;
}

/* active state, i.e. menu open */
.c-hamburger--htx.is-active {
    background-color: #232526;
}

.c-hamburger--htx.is-active span {
    background: none;
}

.c-hamburger--htx.is-active span::before {
    top: 0;
    transform: rotate(45deg);
}

.c-hamburger--htx.is-active span::after {
    bottom: 0;
    transform: rotate(-45deg);
}

.c-hamburger--htx.is-active span::before,
.c-hamburger--htx.is-active span::after {
    transition-delay: 0s, 0.3s;
}

#bar-right
{
    right: 0px;
}

::-webkit-scrollbar {
    width: 6px;
}

::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    border-radius: 10px;
    margin:10px;
}

::-webkit-scrollbar-thumb {
    border-radius: 5px;
    background:#3798C6;
    height:10px;
}

/* Vertical menu that slides from the left or right */

.cbp-spmenu-left {
    left: -240px;
}

.cbp-spmenu-right {
    right: -240px;
}

.cbp-spmenu-left.cbp-spmenu-open {
    left: 0px;
}

.cbp-spmenu-right.cbp-spmenu-open {
    right: 0px;
}

/*blur effect*/
.blur
{
    position: fixed;
    width:10000%;
    height: 10000%;
    background:white;
    opacity:0.5;
    top : 0;
    left: 0;
    right: 0;
    -webkit-animation-delay:0.5s;
    z-index: -500;
}

.dropdown_4columns_temp{
    display: none;
    font-family: Arial, Helvetica, sans-serif;
    line-height: 19px;
    font-size:18px;
    text-align:left;
    height: 250px;
    overflow-y: auto;
    /*text-shadow: 1px 1px 1px #FFFFFF;*/
}

.dropdown_4columns_temp > .col_1_temp h3{
    display: block;
    font-size:20px;
    margin:7px 0 7px 0;
    padding-top:8px;
    padding-bottom:7px;
    border-bottom:1px solid #888888;
    background: #484848;
    color: #F0F0F0;
}

.col_1_temp > ul li a{
    font-family: Arial, Helvetica, sans-serif;
    font-size: 16px;
    font-weight: 250;
    color: #484848;
    /*text-shadow: 1px 1px 1px #FFFFFF;*/
}

.col_1_temp > ul li{
    margin: 10px 0 -15px 5%;
    line-height:14px;
    font-size:18px;
}

.activated {
    background: #D0D0D0;
}

.gray-menu {
    background: #E8E8E8;
}

.gray-menu-red-text {
    background: #E8E8E8;
    color: red;
}

.white-menu-red-text {
    background: #fff;
    color: red;
}

.background-modal-header {
    font-family: Arial, Helvetica, sans-serif;
    background: #232526;
    font-size:14px;
    font-weight: bold;
    color: white;
}

/*inherit class .close for modal header*/
.close {
    color: white;
    opacity: 100;
}

.modal-header .close {
    color: #777777;
}

/*.header-logo{
    float: left;
    position: relative;
    margin-top: 18px;
    margin-left: 25px;
}*/
/*trial class*/
.header-logo {
    float: initial;
    position: relative;
    margin-top: -10px;
    margin-left: 57px;
}

#nav_tabs_panel li.active a{
    background: #E8E8E8;
}

ul.multiselect-container.dropdown-menu{
    max-height: 200px;
    overflow-y: scroll;
}

.dropdown-menu > li > a {
    display: block;
    padding: 3px 27px;
    clear: both;
    font-weight: normal;
    line-height: 1.42857143;
    color: #333;
    white-space: nowrap;
}

/*width 53px for span icon area*/
.input-group-addon-fixed{
    width: 53px;
}

/*width = 39px for span icon area 2*/
.input-group-addon-fixed-2{
    width: 39px;
}

/* overflow for multiselection */
span.select2-selection--multiple{
    max-height: 68px;
    overflow:auto;
}

/*customize header block confirmation dialog at plu */
div.ui-dialog-titlebar.ui-widget-header.ui-corner-all.ui-helper-clearfix.ui-draggable-handle{
    font-family: Arial, Helvetica, sans-serif;
    background: #232526;
    font-size:16px;
    font-weight: 200;
    color: white;
}

/* set background popup title*/
div.dhtmlx_popup_title{
    font-family: Arial, Helvetica, sans-serif;
    background: #232526;
    font-size:16px;
    font-weight: 200;
    color: white;
}

/* set border to none for popup title */
div.dhtmlx_modal_box.dhtmlx-confirm-error {
    border: none;
}

/* set background popup title */
div.dhtmlx_modal_box.dhtmlx-confirm-error > div.dhtmlx_popup_title{
    font-family: Arial, Helvetica, sans-serif;
    background: #232526;
    font-size:16px;
    font-weight: 200;
    color: white;border: none;
}

div.dhtmlx_popup_text {
    /*word-break: break-all;*/
    /*overflow: auto;*/
    /*margin: 0 auto;*/
    /*width: 50px;*/
}

.report-small {
    font-size: 12px;
}

.disabledbutton {
    pointer-events: none;
    opacity: 0.4;
}

div.dhtmlx_modal_box.dhtmlx-confirm {
    border: none;
    box-shadow: -5px 7px 5px rgba(0,0,0,0.8);
}

div.dhtmlx_modal_box.dhtmlx-confirm-error {
    border: none;
    box-shadow: -5px 7px 5px rgba(0,0,0,0.8);
}

.modal-footer-color{
    text-align: right;
    color: #ffffff;
    font-size: 12px;
}

.subhead {
    font-weight: bold;
}

.subchild {
    padding-left: 1em;
}

.div-email{
    font-size: 13px;
    font-weight: normal;
    padding-left: 65px;
}

.action-group {
    padding-left: 30px;
    width: auto;
}

.action-group-no-padding {
    width: auto;
}

.loader {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background: url('../img/ajax-loader3.gif') 50% 50% no-repeat rgb(249,249,249);
}

#btn-top-scroller{
    bottom: 40px;
}

.margin-small {
    margin-top:10px;
}

.navi-arrow-middle {
    height: 200px;
    margin-top: 75px;
}

.pull-right-searchbox{
    float: right;
    margin-top: -15px;
}

.listcontainer{
    border: 1px solid #ccc;
    overflow-y:hidden;
    width: 100%;
    height: 180px;
    /*    max-height: 180px;
        overflow-x:auto;*/
}

.deletebutton{

}

.radio label, .checkbox label {
    font-weight: bold;
    color: #333;
}

.kanan {
    direction: rtl;
}

.wow{
    position: inherit;
}

/*center all modal*/
.modal {
    text-align: center;
    padding: 0!important;
}

.modal:before {
    content: '';
    display: inline-block;
    height: 100%;
    vertical-align: middle;
    margin-right: -4px;
}

.modal-dialog {
    display: inline-block;
    text-align: left;
    vertical-align: middle;
}

.modal-footer-noline{
    border-top: 0px solid #e5e5e5;
}

.dmcpagination {
    display:flex;
    align-content:center;
    justify-content:center;
}

/* Japan CSS */

.c-hamburger span {
    height: 3px;
    /* margin-top :12px !important;*/  /*cost hamburger dissapear */
}

.c-hamburger span::before, .c-hamburger span::after{
    height: 3px;
}

.bar-top{
    box-shadow : 0px 2px 6px rgba(0,0,0,0.2);
}

.background-modal-header{
    background : #3d3d3d;
}

.grid-stack-item-content{
    box-shadow : 3px 5px 10px rgba(0,0,0,0.1) !important;
}

.bluezed-scroll-top-circle{
    width: 35px;
    height: 35px;
    padding-top: 11px;
}

div .grid-stack-item-content > .panel.table-responsive {
    border: 0px !important;
}

.panel-title {
    margin-top: 4px !important;
}

/* self modify */
h5.panel-title{
    padding-top : 2px !important;
}

div #home-div{
    padding-right:5% !important;
    padding-left:5% !important;
}

#watermark
{
    position:fixed;
    top:5px;
    right:30px;
    /*opacity:0.5;*/
    z-index:99;
    color:white;
}

.my-read-only-class {
    cursor: not-allowed;
}

.flexbox-truncated-text {
    max-width:80px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

/*  standard column width  */
.unitprice-width, .number2index-width {
    min-width:120px;
    width:120px;
    max-width: 120px;
}

.codeindex-width, .text1index-width {
    min-width:80px;
    width:80px;
    max-width: 80px;
}

.actionindex-width, .colorindex-width, .dateindex-width, .number1index-width, .timeindex-width, .text2index-width {
    min-width: 100px;
    width: 100px;
    max-width: 100px;
}

.imageindex-width, .text3index-width, .ipaddress1index-width{
    min-width: 150px;
    width: 150px;
    max-width: 150px;
}

.ipaddress2index-width, .text4index-width, .datetimeindex-width {
    min-width: 200px;
    width: 200px;
    max-width: 200px;
}

.selectorindex-width {
    width: 40px;
    min-width: 40px;
    max-width: 40px;
}

.textline-width {
    width: 700px;
    min-width: 700px;
    max-width: 700px;
}

.storename-width {
    width: 115px;
    min-width: 115px;
    max-width: 115px;
}

/*  standard column width  */

input[type="text"].quantityinput {
    width: 194px;
}

ul > li:hover > a#notif-show:hover,ul > li > a:focus#notif-show {
    background-color: rgba(238, 238, 238, 0.3); height: 50px; transition: 0.8s;
}

/* grid stack custom */
.grid-stack-custom-header{
    height:55px;
    border-bottom: 1px solid #e1e1e1;
}

/* home widget */
#ana-tbl > tr > td {vertical-align : middle;}
#incident-id > div.box-incident {height : 400px;}

.btn-file {
    width: 125px;
}

.btn-file-nolabel .btn-file {
    width: auto;
}

.favorite {
    width: 19px;
    height: 19px;
    cursor: pointer;
    font-size: 23px;
}

.favorite-select {
    color: #FFBF00;
    display: block;
}

.favorite-select-inline {
    display: inline-block;
    color: #FFBF00;
}

.favorite-unselect {
    color: #FFBF00;
}

.favorite-unselect:before {
    content: "\e007";
}

.favorite-hover:hover {
    color: #FFBF00;
}

a:hover > div > .favorite-hide {
    display: block;
}

.favorite-hide {
    display: none;
}

.favorite-show {
    display: block;
}

.breadcrumb .favorite{
    float: left;
    margin-right: 13px;
    margin-left: -5px;
    line-height: 25px;
}

.d-barcode-format.select2-dropdown{
    width:420px !important;
    border: 1px solid #bfbfbf !important;
    border-radius: 0px 5px 5px 5px !important;
}

.d-barcode-format.select2-dropdown li.select2-results__option[aria-disabled=true] {
    display: block;
    color: #333 !important;
    text-shadow: 0 1px 0 #fff;
    background-color: #eee !important;
    border-top: 1px solid #e0e0e0;
    border-bottom: 1px solid #e0e0e0;
    line-height: 1.428571429;
    white-space: nowrap;
    cursor: default !important;
    opacity: 1.0 !important;
}

.truncate-overflow {
    --lh: 1.3em;
    line-height: var(--lh);
    --max-lines: 3.3;
    max-height: calc(var(--lh) * var(--max-lines));
    overflow: hidden;
}

.tooltip-inner {
    border: 1px solid black;
}

iv, iv span, iv ol li, iv ul li {
    background: black;
    color: white;
}

iv ol li, iv ul li {
    width: max-content;
}

td span, div.bootbox-body span, .select2-results__option span {
    line-height: normal;
}

ol {
    list-style-position: inside;
}

.select2-results__option {
    word-wrap: break-word;
}

.norwarp-inline {
    display: inline-block;
    white-space: nowrap;
}

.overflow-y-hide {
    overflow-y: hidden;
}

.break-all {
    word-break: break-all;
}

.max-height {
    max-height: 110px;
}